## org.apache.xpath.objects
Class XBooleanStatic

    java.lang.Object
      org.apache.xpath.Expression
          org.apache.xpath.objects.XObject
              org.apache.xpath.objects.XBoolean
                  org.apache.xpath.objects.XBooleanStatic

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, javax.xml.transform.SourceLocator, ExpressionNode, XPathVisitable

    public class XBooleanStatic

extends XBoolean

This class doesn't have any XPathContext, so override whatever to ensure it works OK.

See Also:
  Serialized Form
Usage:
  **For internal use only**

Field Summary

Fields inherited from class org.apache.xpath.objects.XBoolean
`S_FALSE, S_TRUE`

Fields inherited from class org.apache.xpath.objects.XObject
`CLASS_BOOLEAN, CLASS_NODESET, CLASS_NULL, CLASS_NUMBER, CLASS_RTREEFRAG, CLASS_STRING, CLASS_UNKNOWN, CLASS_UNRESOLVEDVARIABLE`

Constructor Summary
`XBooleanStatic(boolean b)` Construct a XBooleanStatic object.

Method Summary
`boolean` `equals(XObject obj2)` Tell if two objects are functionally equal.

Methods inherited from class org.apache.xpath.objects.XBoolean
`bool, getType, getTypeString, num, object, str`

Methods inherited from class org.apache.xpath.objects.XObject
`allowDetachToRelease, appendToFsb, boolWithSideEffects, callVisitors, castToType, create, create, deepEquals, destruct, detach, dispatchCharactersEvents, execute, fixupVariables, getFresh, greaterThan, greaterThanOrEqual, iter, lessThan, lessThanOrEqual, mutableNodeset, nodelist, nodeset, notEquals, numWithSideEffects, reset, rtf, rtf, rtree, rtree, toString, xstr`

Methods inherited from class org.apache.xpath.Expression
`asIterator, asIteratorRaw, asNode, assertion, bool, canTraverseOutsideSubtree, error, execute, execute, execute, executeCharsToContentHandler, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getColumnNumber, getExpressionOwner, getLineNumber, getPublicId, getSystemId, isNodesetExpr, isStableNumber, num, warn, xstr`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XBooleanStatic

    public XBooleanStatic(boolean b)

  Construct a XBooleanStatic object.

  Parameters:
    `b` - The value of the object

Method Detail

### equals

    public boolean equals(XObject obj2)

  Tell if two objects are functionally equal.

  Overrides:
    `equals` in class `XBoolean`
  Parameters:
    `obj2` - Object to compare to this
  Returns:
    True if the two objects are equal
  Throws:
    `javax.xml.transform.TransformerException`

Copyright © 2005 Apache XML Project. All Rights Reserved.